Class | Fog::Compute::AWS::DhcpOption
In: | lib/fog/aws/models/compute/dhcp_option.rb
Parent: | Fog::Model

### Methods

associate destroy new save

### Public Class methods

new(attributes={})

### Public Instance methods

associate(vpc_id)

Associates an existing dhcp configration set with a VPC

dhcp_option.attach(dopt-id, vpc-id)

#### Returns

True or false depending on the result

destroy()

Removes an existing dhcp configuration set

dhcp_option.destroy

#### Returns

True or false depending on the result

save()

Create a dhcp configuration set

     >> g = AWS.dhcp_options.new()
     >> g.save

## Returns:

requestId and a dhcpOptions object

[Validate]